package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsDispatchSaleOrder;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface AmsDispatchSaleOrderMapper extends IBaseMapper<AmsDispatchSaleOrder, BigDecimal> {

    List<Map<String, Object>> getOpenDispatchSaleOrder(Map<String, Object> mapValue);

    //查询序列号主键
    @Select("select seq_AMS_OTHER.nextval from dual")
    BigDecimal selectOtherId();

    // app端公开抢单
    List<Map<String, Object>> getDispatchSaleOrderList();

    List<Map<String,Object>> getMaterialMessages(BigDecimal dispatchId);

    // 查询app端已抢的销售订单
    List<Map<String, Object>> getLockDispatchSaleOrderList(BigDecimal carrierId);

    //根据车序号查找对应的固定派单id
    Integer selectDispatchIdBySaleOrderMaterialId(Integer saleOrderMaterialId);

    //pc端，展示已经接收到了承运商的订单
    List<Map<String,Object>> getLockDispatchSaleOrderListForPc(Map<String,Object> map);

    // 查询PC端公开抢单
    List<Map<String, Object>> getPCDispatchSaleOrderList(Map<String, Object> mapValue);

    // 空与非空
    List<Map<String,Object>> getNullOrNotNull(BigDecimal dispatchId);

    // 展示销售派单物资信息
    List<Map<String, Object>> getDispatchMaterialList(BigDecimal dispatchId);

    // 通过ssoid查询承运商
    List<Map<String, Object>> getCarrierIdBySSO(Map<String,Object> map);

    // 判断定向派单是否已存在
    BigDecimal isDispatchExist(BigDecimal saleOrderMaterialId);

    //查询规格型号是否符合样式
    Integer queryFormatCount(String Specification);

    //查询出相应的ID
    BigDecimal queryMaterial(String Specification,String materialName);
}