package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.DilNotice;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface DilNoticeMapper extends IBaseMapper<DilNotice, BigDecimal> {

    List<Map<String, Object>> getNoticeList(Map<String, Object> mapVal);

    //承运商查看公告
    List<Map<String, Object>> getCarrierNoticeList(Map<String, Object> mapVal);

    //id自增
    @Select("select seq_DIL_NOTICE.nextval from dual")
    BigDecimal selectNoticeId();

    List<Map<String, Object>> getNoticeById(BigDecimal id);

    //销售公司查看公告
    List<Map<String, Object>> getMarketingNoticeList(Map<String, Object> mapVal);
    //收货客户查看公告
    List<Map<String, Object>> getClientNoticeList(Map<String, Object> mapVal);
    //根据不同的用户发放不同的最新消息
    List<Map<String, Object>> getNewNoticeByPermission(BigDecimal permission);

    /**
     * @author:zyf
     * @version:1.0
     * @Date:
     * @Description: 根据不同的用户发放通知
    */
    List<Map<String, Object>> getNoticeData(BigDecimal permission);
    /**
     * @author:zyf
     * @version:1.0
     * @Date:
     * @Description: 根据不同的用户发放通知1
     */
    List<Map<String, Object>> getNoticeData1();
}